---
name: Miguel Brown
locality:
country: Remote
role: <a href="">Payroll Analyst</a>
reports_to: ngundara
picture: "../gitlab-logo-extra-whitespace.png"
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: mb731
departments:
- Accounting
specialty:
expertise:
story:

